<?php

	if(trim($_GET[search]) == '') {
		echo "No search term entered.<br>";
		die;
	}

	if($_GET[key] == '' && $_GET[key2] == '') {
		echo "You must configure one of the API keys before you can search.<br>";
		die;
	}	

	$key = str_rot13($_GET[key]);
	if($_GET[key2] != '') {
		$key2 = json_decode(base64_decode(str_rot13($_GET[key2])));
	}
	$amazon_tag = $key2->tag;
	$amazon_public = $key2->public;
	$amazon_private = $key2->private;


	if($key != '') {
		$link = "https://www.googleapis.com/shopping/search/v1/public/products?country=US&q=" . urlencode($_GET[search]) . "&key=$key";
		$results = json_decode(file_get_contents($link));
	}

	if($key2 != '') {
		include 'amazon.php';
	}





?>
	<table>
	<tr class="theader"><td></td><td>Store</td><td>Product Name</td><td>Base Price</td><td>Shipping</td><td>Add Affiliate Tag To Link Below</td><td>Activate</td></tr>
<?php

$arrowImage = 'http://' . $_SERVER['SERVER_NAME'] . preg_replace("/processJSON.php/", "arrow.png", $_SERVER['PHP_SELF']);
	$c1 = true;

	$priorityArray = array('ebay','sportsauthority','dell','tigerdirect','qvc','overstock','walmart','bestbuy','sears','newegg','buy.com');
	$amazonArray = array();
	$finalArray = array();

	if($results != '') {
		foreach($results->items as $item) {
			$name = $item->product->author->name;
			if(sizeof(preg_grep("/{$name}/i", $priorityArray)) > 0) {
				$finalArray = array_merge(array($item), $finalArray);
			} else {
				$finalArray[] = $item;
			}

		}
	}
	if($results2 != '') {
		foreach($results2->items as $item) {
			$amazonArray[] = $item;
		}
	}

	$finalArray = array_merge($amazonArray, $finalArray);


	foreach($finalArray as $item) {
		$googleid = $item->product->googleId;
		$asin = $item->product->asin;
		$storeName = $item->product->author->name;
		$productName = $item->product->title;
		$price = $item->product->inventories[0]->price;
		$shipping = $item->product->inventories[0]->shipping;
		$description = $item->product->description;
		$image = $item->product->inventories[0]->image;

		if(!$c1) { $color = '#dedede'; } else { $color = '#fefefe'; }
		if($item->product->inventories[0]->channel == 'online' && $googleid != '') {
		$c1 = !$c1;
			$image = $item->product->images[0]->link;
			echo "<input type=hidden name=googleid_$googleid value=\"{$googleid}\">";
			echo "<input type=hidden name={$googleid}_accountid value=\"{$item->product->author->accountId}\">";
			echo "<input type=hidden name={$googleid}_storename value=\"{$item->product->author->name}\">";
			//echo "<input type=hidden name={$googleid}_productname value=\"{$item->product->title}\">";
			echo "<input type=hidden name={$googleid}_productprice value=\"{$price}\">";
			echo "<input type=hidden name={$googleid}_productshipping value=\"{$shipping}\">";
			echo "<input type=hidden name={$googleid}_productdescription value=\"{$description}\">";
			echo "<input type=hidden name={$googleid}_productimage value=\"{$image}\">";

			if($shipping == '') { $shipping = 'N/A'; } else { $shipping = "\${$shipping}"; }
			echo "<tr class='productRow' style='background-color: $color;'>
				<td style='width: 22px;'><img src='$arrowImage' id='{$googleid}_button' class='detailsButton'></td>
				<td>{$storeName}</td>
				<td style='width: 50%;'><input type='text' name='{$googleid}_productname' value='{$productName}' style='width: 100%;'></td>
				<td>\${$price}</td>
				<td>$shipping</td>
				<td style='width: 50%;'><input type=\"text\" name=\"{$googleid}_productlink\" value=\"{$item->product->link}\" style='width: 100%;'></td>
				<td style=\"text-align: center;\"><input type=\"checkbox\" name=\"{$googleid}_box\" value=\"yes\"></td></tr>";
			echo "<tr style='display: none;' id='{$googleid}_button_details'><td>&nbsp;</td>
				<td colspan=\"6\" style='background-color: #eeeeee; padding: 10px;'><strong>Product Details:</strong><br><br>
				{$item->product->description}<br><br>
				<strong>Product Link:</strong> <a href='{$item->product->link}' target='_blank'>{$item->product->link}</a></td></tr>";
		} else if($price != '') {
		$c1 = !$c1;
			echo "<input type=hidden name=asin_$asin value=\"{$asin}\">";
			echo "<input type=hidden name={$asin}_accountid value=\"{$item->product->author->accountId}\">";
			echo "<input type=hidden name={$asin}_storename value=\"{$item->product->author->name}\">";
			//echo "<input type=hidden name={$asin}_productname value=\"{$item->product->title}\">";
			echo "<input type=hidden name={$asin}_productprice value=\"{$price}\">";
			echo "<input type=hidden name={$asin}_productshipping value=\"{$shipping}\">";
			echo "<input type=hidden name={$asin}_productdescription value=\"{$description}\">";
			echo "<input type=hidden name={$asin}_productimage value=\"{$image}\">";
			echo "<tr class='productRow' style='background-color: $color;'>
				<td style='width: 22px;'><img src='$arrowImage' id='{$asin}_button' class='detailsButton'></td>
				<td>{$storeName}</td>
				<td style='width: 50%;'><input type='text' name='{$asin}_productname' value='{$productName}' style='width: 100%;'></td>
				<td>{$price}</td>
				<td>N/A</td>
				<td style='width: 50%;'><input type=\"text\" name=\"{$asin}_productlink\" value=\"{$item->product->link}\" style='width: 100%;'></td>
				<td style=\"text-align: center;\"><input type=\"checkbox\" name=\"{$asin}_box\" value=\"yes\"></td></tr>";
			echo "<tr style='display: none;' id='{$asin}_button_details'><td>&nbsp;</td>
				<td colspan=\"6\" style='background-color: #eeeeee; padding: 10px;'><strong>Product Details:</strong><br><br>
				{$item->product->description}<br><br>
				<strong>Product Link:</strong> <a href='{$item->product->link}' target='_blank'>{$item->product->link}</a></td></tr>";

		}
	}
?>

	</table>

<script language="JavaScript">
$j(".detailsButton").click(function() {
	thisid = $j(this).attr("id");
	if($j("#" + thisid).attr("src").substr(-9, 9) == "arrow.png") {
		$j("#" + thisid + "_details").css("display", "");
		$j("#" + thisid).attr("src", "<?php echo preg_replace("/arrow.png/", "arrow2.png", $arrowImage); ?>");
	} else {
		$j("#" + thisid + "_details").css("display", "none");
		$j("#" + thisid).attr("src", "<?php echo $arrowImage; ?>");
	}

});
</script>