<?php
/*
Plugin Name: Amazon Deal Snatcher
Plugin URI: 
Description: Pull down affiliate offers from product networks and display them on your blog posts. <a href="options-general.php?page=dotdsettings">Click here to configure</a>
Version: 1.0
Author: Amazon Deal Snatcher
*/



/******

This plugin was programmed by CJA for Dan Brock and Tim Atkinson. 
Under no circumstance may you edit this plugin or redistribute it without expressed written permission.
Should you edit this plugin or redistribute it, we will find you... and you will pay.^

^ = We have passports and are willing to travel anywhere in the world to fulfill our promise.

*******/



wp_enqueue_script("jquery");
define('DOTDNAME', 'Amazon Deal Snatcher');

add_action('admin_menu', 'load_dotdmenu');
add_action ('the_post', 'dotd_insert_deal');
register_activation_hook(__FILE__,'dotd_install');
add_action('admin_init', 'dotd_add_box');
function dotd_add_box() {

	add_meta_box( '', 'Amazon Deal Snatcher Product', 'dotd_add_products', 'post', 'normal', 'high', '' );
	$postid = addslashes($_POST['dotd_postid']);
	if($postid != '') {
		$primary = addslashes($_POST['dotd_primary']);
		$query3 = mysql_query("SELECT * FROM wp_dotd WHERE prodid='$primary'");
		if(mysql_num_rows($query3) == 1) {
			$info3 = mysql_fetch_array($query3);
			$relatedASIN = $info3[asin];
			if($relatedASIN != '') {
				$amazon_tag = get_option('amazon_tag');
				$amazon_public = get_option('amazon_public');
				$amazon_private = get_option('amazon_private');
				include 'amz_related.php';
			}

		}


		mysql_query("DELETE FROM wp_dotd WHERE postid='$postid'");
		mysql_query("DELETE FROM wp_dotd_options WHERE postid='$postid'");
		$title = addslashes($_POST[dotd_title]);
		$css = addslashes($_POST[dotd_css]);
		$image = addslashes($_POST[dotd_image]);

		$pageid = addslashes($_POST[dotd_pageid]);

		mysql_query("INSERT INTO wp_dotd_options (postid,title,css,image,prodid,pageid,responsearray) VALUES ('$postid','$title','$css','$image','$primary','$pageid','$related')");
	}

	foreach($_POST as $key=>$val) {

 		if(preg_match("/^asin/", $key)) {
			// check if activated
			$asin = $val;
			if($_POST["{$asin}_box"] == "yes") {
				$asin = $val;
				$prodid = addslashes($_POST["{$asin}_prodid"]);

				$accountid = addslashes($_POST["{$asin}_accountid"]);
				$storename = addslashes($_POST["{$asin}_storename"]);
				$productname = addslashes($_POST["{$asin}_productname"]);
				$productprice = preg_replace("/[^0-9\.]/", "", $_POST["{$asin}_productprice"]);
				$productshipping = preg_replace("/[^0-9\.]/", "", $_POST["{$asin}_productshipping"]);
				$productdescription = addslashes($_POST["{$asin}_productdescription"]);
				$productlink = addslashes($_POST["{$asin}_productlink"]);
				$productimage = addslashes($_POST["{$asin}_productimage"]);
				mysql_query("INSERT INTO wp_dotd (prodid,postid,accountid,googleid,asin,storename,productname,productdescription,productprice,productshipping,productlink,productimage)
				VALUES ('$prodid','$postid','$accountid','','$asin','$storename','$productname','$productdescription','$productprice','$productshipping','$productlink','$productimage')") or die(mysql_error());
			}
		}
		else if(preg_match("/^googleid/", $key)) {
			// check if activated
			$googleid = $val;
			if($_POST["{$googleid}_box"] == "yes") {
				$googleid = $val;
				$prodid = addslashes($_POST["{$googleid}_prodid"]);
				$accountid = addslashes($_POST["{$googleid}_accountid"]);
				$storename = addslashes($_POST["{$googleid}_storename"]);
				$productname = addslashes($_POST["{$googleid}_productname"]);
				$productprice = preg_replace("/[^\$0-9\.]/", "", $_POST["{$googleid}_productprice"]);
				$productshipping = preg_replace("/[^\$0-9\.]/", "", $_POST["{$googleid}_productshipping"]);
				$productdescription = addslashes($_POST["{$googleid}_productdescription"]);
				$productlink = addslashes($_POST["{$googleid}_productlink"]);
				$productimage = addslashes($_POST["{$googleid}_productimage"]);
				mysql_query("INSERT INTO wp_dotd (prodid,postid,accountid,googleid,asin,storename,productname,productdescription,productprice,productshipping,productlink,productimage)
				VALUES ('$prodid','$postid','$accountid','$googleid','','$storename','$productname','$productdescription','$productprice','$productshipping','$productlink','$productimage')") or die(mysql_error());
			}
		}
	}

}
function dotd_install () {
   global $wpdb;
   global $jal_db_version;

   if($wpdb->get_var("show tables like 'wp_dotd'") != 'wp_dotd') {
      
      $sql = "CREATE TABLE IF NOT EXISTS `wp_dotd` (
  `prodid` int(5) NOT NULL AUTO_INCREMENT,
  `postid` int(12) NOT NULL,
  `accountid` varchar(255) NOT NULL,
  `googleid` varchar(255) NOT NULL,
  `asin` varchar(255) NOT NULL,
  `storename` varchar(255) NOT NULL,
  `productname` varchar(255) NOT NULL,
  `productdescription` text NOT NULL,
  `productprice` varchar(255) NOT NULL,
  `productshipping` varchar(255) NOT NULL,
  `productlink` varchar(255) NOT NULL,
  `productimage` text NOT NULL,
  PRIMARY KEY (`prodid`)
);";

      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
      dbDelta($sql);

$sql = "CREATE TABLE IF NOT EXISTS `wp_dotd_options` (
  `postid` int(12) NOT NULL,
  `title` varchar(255) NOT NULL,
  `css` text NOT NULL,
  `image` text NOT NULL,
  `prodid` int(5) NOT NULL,
  `pageid` varchar(255) NOT NULL,
  `responsearray` longtext NOT NULL
);";
      dbDelta($sql);


   }


	add_option('google_api_key', '');
	add_option('amazon_tag', '');
	add_option('amazon_public', '');
	add_option('amazon_private', '');
	add_option('facebook_key', '');
	add_option('facebook_secret', '');
	add_option('dotd_sort', 'storename');
	add_option('dotd_order', 'ascending');
	add_option('dotd_lastupdate', time());

}




function load_dotdmenu() {

  add_options_page(DOTDNAME . ' Settings', DOTDNAME, 'manage_options', 'dotdsettings', 'load_dotdsettings');

}

function load_dotdsettings() {

  global $wpdb;

  if (!current_user_can('manage_options'))  {
    wp_die( __('You do not have sufficient permissions to access this page.') );
  }


  if(isset($_POST['google_api_key'])) { update_option('google_api_key', trim($_POST['google_api_key'])); }
  if(isset($_POST['amazon_tag'])) { update_option('amazon_tag', trim($_POST['amazon_tag'])); }
  if(isset($_POST['amazon_public'])) { update_option('amazon_public', trim($_POST['amazon_public'])); }
  if(isset($_POST['amazon_private'])) { update_option('amazon_private', trim($_POST['amazon_private'])); }
  if($_POST['dotd_sort'] != '') { update_option('dotd_sort', trim($_POST['dotd_sort'])); }
  if($_POST['dotd_order'] != '') { update_option('dotd_order', trim($_POST['dotd_order'])); }


	echo '<div class="wrap">';
	echo '<h1>' . DOTDNAME . ' Settings</h1>';
	echo '<form action="" method="POST"><p>';
	echo '<table>';
	echo '<tr><td>Google API Key: </td><td><input type="text" name="google_api_key" value="' . stripslashes(get_option('google_api_key')) . '"> ';
	echo '<a href="https://code.google.com/apis/console/" target="_blank">Click here to get key</a>';
	echo '</td></tr>';
	echo '<tr><td>Amazon Associate Tag: </td><td><input type="text" name="amazon_tag" value="' . stripslashes(get_option('amazon_tag')) . '"> ';
	echo '<a href="https://affiliate-program.amazon.com/" target="_blank">Click here to register</a>';
	echo '</td></tr>';
	echo '<tr><td>Amazon Access Key ID: </td><td><input type="text" name="amazon_public" value="' . stripslashes(get_option('amazon_public')) . '"></td></tr>';
	echo '<tr><td>Amazon Secret Access Key: </td><td><input type="text" name="amazon_private" value="' . stripslashes(get_option('amazon_private')) . '"></td></tr>';

	//echo '<tr><td>Facebook App ID/API Key: </td><td><input type="text" name="facebook_key" value="' . stripslashes(get_option('facebook_key')) . '"></td></tr>';
	//echo '<tr><td>Facebook App Secret: </td><td><input type="text" name="facebook_secret" value="' . stripslashes(get_option('facebook_secret')) . '"></td></tr>';

	$sort = get_option('dotd_sort');
	$checked[$sort] = 'selected';

	$sortOrder = "<select name='dotd_sort'>";
	$sortOrder .= "<option value='storename' {$checked[storename]}>Store Name</option>";
	$sortOrder .= "<option value='productprice' {$checked[productprice]}>Base Price</option>";
	$sortOrder .= "<option value='productshipping' {$checked[productshipping]}>Shipping Price</option>";
	$sortOrder .= "<option value='total' {$checked[total]}>Total Price</option>";
	$sortOrder .= "</select>";

	echo "<tr><td>Sort Products By: </td><td>$sortOrder</td></tr>";
	echo "<tr><td>Sort Order: </td><td>";

	$order = get_option('dotd_order');
	if($order == 'ascending') { $ca = 'selected'; } else { $cd = 'selected'; }

	echo "<select name='dotd_order'>";
	echo "<option value='ascending' $ca>Ascending (A-Z, 0-9)</option>";
	echo "<option value='descending' $cd>Descending (Z-A, 9-0)</option>";
	echo "</select>";
	echo "</td></tr>";
	echo '</table>';
	
	echo '<br><input type="submit" value="Save"></form>';

?>
	<br>
	The Amazon access key ID and secret access key can be found via the <a href="https://affiliate-program.amazon.com/gp/flex/advertising/api/sign-in.html">Product Advertising API</a> page.<br> 
	Once you sign into your account, click the "Manage Your Account" button,<br> then click "Access Your Identifiers." You will need to create a new access key on that page.
<?php

}

function dotd_insert_deal($content) {

	if(!is_string($content)) { return $content; }
	// Update functionality
	$lastUpdate = get_option("dotd_lastupdate");
	if($lastUpdate < time()-86400*2) {
		$key = get_option("google_api_key");
		$query = mysql_query("SELECT * FROM wp_dotd");
		while($info = mysql_fetch_array($query)) {
			$googleid = $info[googleid];
			$accountid = $info[accountid];
			if($googleid != '') {
				$link = "https://www.googleapis.com/shopping/search/v1/public/products/$accountid/gid/$googleid?key=$key";
				$results = json_decode(@file_get_contents($link));
				$price = preg_replace("/[^\$0-9\.]/", "", $results->product->inventories[0]->price);
				if($price > 0) { 
					$shipping = preg_replace("/[^\$0-9\.]/", "", $results->product->inventories[0]->shipping);
					mysql_query("UPDATE wp_dotd SET productprice='$price',productshipping='$shipping' WHERE googleid='$googleid'");
				}
			}
		}
		update_option('dotd_lastupdate', time());
	}


	global $post;
	$id = $post->ID;
	if(!is_object($content)) {

	$theDeal = '';
	$sort = get_option('dotd_sort');
	$sort1 = $sort;
	if($sort == 'total') { $sort = '(productprice+productshipping)'; }
	if($sort == '') { $sort = 'storename'; }
	$order = get_option('dotd_order');
	if($order == 'ascending') { $order = ''; } else { $order = 'DESC'; }

	$query = mysql_query("SELECT * FROM wp_dotd WHERE postid='$id' ORDER BY $sort $order");
	if(mysql_num_rows($query) > 0) {

		$query1 = mysql_query("SELECT * FROM wp_dotd_options WHERE postid='$id'");
		while($info1 = mysql_fetch_array($query1)) {
			$title = stripslashes($info1[title]);
			$css = $info1[css];
			$css = preg_replace("/#dotd/", "#_{$id}dotd", $css);
			$css = preg_replace("/\.dotd/", "._{$id}dotd", $css);
			$image = $info1[image];
			if($image != '') {
				$img = "<img src='$image' id='_{$id}dotdProductImage'>";
			}
			$prodid = $info1[prodid];
			$responsearray = unserialize(base64_decode($info1[responsearray]));
			
		}


	$theDeal .= "<style type='text/css'>$css</style>";
	switch($sort1) {
		case 'storename':
			$sortType = 'Store Name';
		break;
		case 'productprice':
			$sortType = 'Product Price';
		break;
		case 'productshipping':
			$sortType = 'Shipping Price';
		break;
		case 'total':
			$sortType = 'Total Price';
		break;
		default:
			$sortType = 'unknown field';
		break;

	}




	$theDeal .= "[EXTRA_DOTD_CONTENT]<div id='_{$id}dotdOuterDiv' style='display: none;'><div style='font-weight: bold; margin-bottom: 5px; font-size: .8em;'>Sorting products by $sortType</div>";
	$theDeal .= "<table id='_{$id}dotdTable' cellspacing='0' cellpadding='5'>";




	$imageLink = get_home_url() . "/wp-content/plugins/dotd/images/";
	$rc = true;
	$i = 0;
	$c = 0;
		while($info = mysql_fetch_array($query)) {

			if($info[prodid] == $prodid) {
				$xtra[productimage] = $info[productimage];
				$xtra[productname] = $info[productname];
				$xtra[productdescription] = $info[productdescription];
			}


			// shorten the description
			$description = '';
			$descriptions = explode(" ", $info[productdescription]);
			for($b = 0; $b < 15; $b++) {
				$description .= $descriptions[$b] . " ";
			}
			$info[productdescription] = $description . "<a href='{$info[productlink]}'>more...</a>";

			if(preg_match("/buy\.com/i", $info[storename])) {
				$image = 'buy.png';
			} else if(preg_match("/ebay/i", $info[storename])) {
				$image = 'ebay.png';
			} else if(preg_match("/newegg/i", $info[storename])) {
				$image = 'newegg.png';
			} else if(preg_match("/staples/i", $info[storename])) {
				$image = 'staples.png';
			} else if(preg_match("/walmart/i", $info[storename])) {
				$image = 'walmart.png';
			} else if(preg_match("/sears/i", $info[storename])) {
				$image = 'sears.png';
			} else if(preg_match("/sports authority/i", $info[storename])) {
				$image = 'sportsauthority.png';
			} else if(preg_match("/best buy/i", $info[storename])) {
				$image = 'bestbuy.png';
			} else if(preg_match("/^dell/i", $info[storename])) {
				$image = 'dell.png';
			} else if(preg_match("/tigerdirect/i", $info[storename])) {
				$image = 'tigerdirect.png';
			} else if(preg_match("/qvc/i", $info[storename])) {
				$image = 'qvc.png';
			} else if(preg_match("/modell/i", $info[storename])) {
				$image = 'modells.png';
			} else {
				$image = '';
			}				

			$info[productname] = stripslashes($info[productname]);
			if($rc) { $rowColor = "_{$id}dotdAltRow"; } else { $rowColor = ''; }
 			$rc = !$rc;
			if($info[googleid] != '') {
				if($image == '') { $img = "<a href='$imageLink'>{$info[storename]}</a>"; } else { $img = "<a href='$imageLink'><img src='{$imageLink}$image' style='border: 0px;max-width: none;'></a>"; }
				if($info[productshipping] == 0) { $ship = '<span style="font-size: .7em; font-weight: bold;"><br>Free Shipping!</span>'; } else { $ship = '';}
				$theDeal .= "<tr class='$rowColor' style='display: none;' id='_{$id}_row$c'>
				<td style='width: 80px;'><a href='{$info[productlink]}'>
					<img src=\"{$info[productimage]}\" style=\"border: 0px; max-width: none; margin-right: 10px; width: 70px;\"></a>
					</td>
				<td style='vertical-align: top; width: 70%;'><a href='{$info[productlink]}' style='font-weight: bold; font-size: .9em; text-decoration: underline;'>$info[productname]</a><br>
				<span style='font-size: .8em;'>" . stripslashes($info[productdescription]) . "</td>
				<td style='vertical-align: middle;'>$img</td><td style='vertical-align: top; text-align: right; line-height: 1.1em; padding-top: 10px;'><a href='{$info[productlink]}' style='font-size: 1.3em; font-weight: bold; text-decoration: underline;'>\${$info[productprice]}</a>{$ship}<br><a href='{$info[productlink]}'><img src='{$imageLink}buynow.png' style='margin-top: 10px; border: 0px;'></a></td></tr>";

			} else {
				$total = number_format($info[productprice], 2);
				$shipping = "\$$info[productprice] + Shipping";
				$theDeal .= "<tr class='$rowColor' style='display: none;' id='_{$id}_row$c'>
				<td style='width: 80px;'><a href='{$info[productlink]}'>
					<img src=\"{$info[productimage]}\" style=\"border: 0px; max-width: none; margin-right: 10px; width: 70px;\"></a>
					</td>
				<td style='vertical-align: top; width: 70%;'><a href='{$info[productlink]}' style='font-weight: bold; font-size: .9em; text-decoration: underline;'>$info[productname]</a><br>
				<span style='font-size: .8em;'>" . stripslashes($info[productdescription]) . "</td>
				<td style='vertical-align: middle;'><a href='$imageLink'><img src='{$imageLink}amazon.png' style='border: 0px; max-width: none;'></a></td><td style='vertical-align: top; text-align: right; line-height: 1.1em; padding-top: 10px;'><a href='{$info[productlink]}' style='font-size: 1.3em; font-weight: bold; text-decoration: underline;'>\${$info[productprice]}</a><br><a href='{$info[productlink]}'><img src='{$imageLink}buynow.png' style='margin-top: 10px; border: 0px;'></a></td></tr>";

			}
			$i++;
			$c++;
		}



	
			$theDeal .= "</table></div>";

	$theDeal .= "<div id='_{$id}dotdOuterDiv2' style='font-size: 1.3em; font-weight: bold; color: 336699; border: 1px dashed #cccccc; padding: 10px;'>";
	$theDeal .= "Searching the web for the best product deals...<br><br><img src='{$imageLink}progress.gif'>";
	$theDeal .= "</div>";

	$theDeal .= "<script type='text/Javascript'>var \$j = jQuery.noConflict(); window.setTimeout(function() {";
		$theDeal .= "\$j(\"#_{$id}dotdOuterDiv\").show(\"blind\"); }, 750);";
		$time = 750;
		for($d = 0; $d < $c; $d++) {
			$theDeal .= " window.setTimeout(function() {\$j(\"#_{$id}_row$d\").show(\"blind\"); }, $time);";
			$time += 750;
		}
		$time -= 750;
		$theDeal .= " window.setTimeout(function() {\$j(\"#_{$id}dotdOuterDiv2\").hide(); }, $time);";
	$theDeal .="</script> ";

	}


	$description = '';
	$descriptions = explode(" ", $xtra[productdescription]);
	for($b = 0; $b < 25; $b++) {
		$description .= $descriptions[$b] . " ";
	}
	$description .= "... <a href='?p=1024-$prodid'>read more</a>";
	$description = str_replace("\'", "'", $description);
	$extra .= "<table style='border: 0px;'>";
	$extra .= "<tr><td valign=top style='width: 150px;'><img src='{$xtra[productimage]}' style='width: 150px; vertical-align: top;'></td><td valign=top><span style='font-weight: bold; font-size: 1.3em;'>{$xtra[productname]}</span><br><br>$description</td></tr>";

	$extra .= "</table>";

	if($responsearray != '') {
		$theDeal .= "<strong>Related Products You May Like</strong><br><br><table style='width: 100%;'>";
		$itemArray = $responsearray['SimilarityLookupResponse']['Items']['Item'];
		for($h = 0; $h < 5; $h++) {
			$item = $itemArray[$h];
			$url = $item['DetailPageURL'];
			$img = $item['SmallImage']['URL'];
			$title = $item['ItemAttributes']['Title'];
			$theDeal .= "<tr><td style='width: 50px;'><a href='$url'><img src='$img' style='min-width: none; width: 50px; border: 0px; vertical-align: top;'></a></td><td valign='top'><a href='$url'>$title</a></td></tr>";

		}
		$theDeal .= "</table>";

	}

	if($xtra[productdescription] != '') {
	$theDeal = str_replace("[EXTRA_DOTD_CONTENT]", $extra, $theDeal);
	} else {
	$theDeal = str_replace("[EXTRA_DOTD_CONTENT]", '', $theDeal);	
	}

	return str_replace("[DEAL_OF_THE_DAY]", $theDeal, $content);
	} return $content;
}

function dotd_add_products($post) {

	$opt1 = get_option('google_api_key');
	$opt2 = get_option('amazon_tag');
	$opt3 = get_option('amazon_public');
	$opt4 = get_option('amazon_private');

    if($opt1 != '' || ($opt2 != '' && $opt3 != '' && $opt4 != '')) {

	$postId = $post->ID;

	$query2 = mysql_query("SELECT * FROM wp_dotd_options WHERE postid='$postId'");
	while($info2 = mysql_fetch_array($query2)) {
		$title = stripslashes($info2[title]);
		$css = $info2[css];
		$image = $info2[image];
		$selectedId = $info2[prodid];
		$pageid = $info2[pageid];
	}

	$hasprod = false;


	$query = mysql_query("SELECT * FROM wp_dotd WHERE postid='$postId'");
	if(mysql_num_rows($query) > 0) {
		echo "<br><span style='font-size: 1.5em;'><strong>ACTIVE LISTINGS</strong></span><br><br>";
?>
	<table>
	<tr class="theader"><td>Store</td><td>Product Name</td><td>Base Price</td><td>Shipping</td><td>Add Affiliate Tag To Link Below</td><td>Activate</td><td>Primary</td></tr>

<?php
		while($info = mysql_fetch_array($query)) {
			$prodid = $info[prodid];
			$accountid = $info[accountid];
			$googleid = $info[googleid];
			$asin = $info[asin];
			$storename = $info[storename];
			$productname = stripslashes($info[productname]);
			$productprice = $info[productprice];
			$productshipping = $info[productshipping];
			$productdescription = $info[productdescription];
			$productlink = $info[productlink];
			$image = $info[productimage];
		$c1 = !$c1;
			$selected = '';
			if($prodid == $selectedId) { $selected = 'checked'; $hasprod = true; }
		if($googleid != '') {
			$images["Image $googleid"] = $image;
			if($productshipping == '') {
				$shipping = "N/A";
			} else {
				$shipping = "\$$productshipping";
			}
			echo "<input type=hidden name={$googleid}_prodid value=\"{$prodid}\">";
			echo "<input type=hidden name=googleid_$googleid value=\"{$googleid}\">";
			echo "<input type=hidden name={$googleid}_accountid value=\"{$accountid}\">";
			echo "<input type=hidden name={$googleid}_storename value=\"" . stripslashes($storename) . "\">";
			//echo "<input type=hidden name={$googleid}_productname value=\"{$productname}\">";
			echo "<input type=hidden name={$googleid}_productprice value=\"{$productprice}\">";
			echo "<input type=hidden name={$googleid}_productshipping value=\"{$productshipping}\">";
			echo "<input type=hidden name={$googleid}_productdescription value=\"" . stripslashes($productdescription) . "\">";
			echo "<input type=hidden name={$googleid}_productimage value=\"{$image}\">";
			echo "<tr class='productRow' style='background-color: $color;'>
				<td>" . stripslashes($storename) . "</td>
				<td style='width: 50%;'><input type='text' style='width: 100%;' name='{$googleid}_productname' value='{$productname}'></td>
				<td>\${$productprice}</td>
				<td>$shipping</td>
				<td style='width: 50%;'><input type=\"text\" name=\"{$googleid}_productlink\" value=\"{$productlink}\" style='width: 100%;'></td>
				<td style=\"text-align: center;\"><input type=\"checkbox\" name=\"{$googleid}_box\" value=\"yes\" checked></td>
				<td style=\"text-align: center;\"><input type=\"radio\" name=\"dotd_primary\" value=\"$prodid\" $selected></td></tr>";
		} else {
			$images["Image $asin"] = $image;
			echo "<input type=hidden name=asin_$asin value=\"{$asin}\">";
			echo "<input type=hidden name={$asin}_accountid value=\"{$accountid}\">";
			echo "<input type=hidden name={$asin}_prodid value=\"{$prodid}\">";
			echo "<input type=hidden name={$asin}_storename value=\"" . stripslashes($storename) . "\">";
			//echo "<input type=hidden name={$asin}_productname value=\"{$productname}\">";
			echo "<input type=hidden name={$asin}_productprice value=\"{$productprice}\">";
			echo "<input type=hidden name={$asin}_productshipping value=\"{$productshipping}\">";
			echo "<input type=hidden name={$asin}_productdescription value=\"" . stripslashes($productdescription) . "\">";
			echo "<input type=hidden name={$asin}_productimage value=\"{$image}\">";
			echo "<tr class='productRow' style='background-color: $color;'>
				<td>{$storename}</td>
				<td style='width: 50%;'><input type='text' style='width: 100%;' name='{$asin}_productname' value='{$productname}'></td>
				<td>\${$productprice}</td>
				<td>N/A</td>
				<td style='width: 50%;'><input type=\"text\" name=\"{$asin}_productlink\" value=\"{$productlink}\" style='width: 100%;'></td>
				<td style=\"text-align: center;\"><input type=\"checkbox\" name=\"{$asin}_box\" value=\"yes\" checked></td>
				<td style=\"text-align: center;\"><input type=\"radio\" name=\"dotd_primary\" value=\"$prodid\" $selected></td></tr>";

		}

		}

		if($selectedId == 0 || !$hasprod) { $s2 = 'checked'; }
		echo "<tr><td colspan=\"7\">&nbsp;</td></tr>";
		echo "<tr><td colspan=\"6\" style=\"text-align: right;\"><strong>No Primary: </strong></td><td style=\"text-align: center;\"><input type=\"radio\" name=\"dotd_primary\" value=\"0\" $s2></td></tr>";

?>

</table><br>

<?php

	}

	echo "<br><span style='font-size: 1.5em;'><strong>FACEBOOK SETTINGS</strong></span><br><br>";
?>
	<table style="width: 100%;">
	<tr><td style="width: 25%; padding: 3px;">Facebook Page Tab URL:</td><td style=" padding: 3px;"><?php echo get_option('siteurl'); ?>/wp-content/plugins/dotd/tab.php</td></tr>
	<tr><td style="width: 25%; padding: 3px;">Facebook Page ID:</td><td style=" padding: 3px;"><input type="text" name="dotd_pageid" style="width: 30%;" value="<?php echo $pageid; ?>"></td></tr>

	</table>
<?php

 	echo '<script type="text/javascript">var $j = jQuery.noConflict();</script>';
	echo "<br><span style='font-size: 1.5em;'><strong>PRODUCT SEARCH</strong></span><br><br>";
	echo "<br>Enter the name of a product to search for:<br><br> <input type='text' name='product_search' id='product_search' style='width: 25%'>
	<input type='button' value='Search Offers' id='product_search_button'> <span id='searchnotify' style='display: none;'>Searching...</span><br><br>";

	echo "<input type=hidden name=dotd_postid value=\"$postId\">";

?>
<?php
$linkToJSONRequestProcessor = 'http://' . $_SERVER['SERVER_NAME'] . preg_replace("/^(.*)\/wp-admin(.*?)$/", "\\1/wp-content/plugins/dotd/", $_SERVER['PHP_SELF']) . 'processJSON.php';
$google_api_key = stripslashes(get_option('google_api_key'));

$tag = get_option('amazon_tag');
$amazon_public = get_option('amazon_public');
$amazon_private = get_option('amazon_private');

if($tag != '' && $amazon_public != '' && $amazon_private != '') {
	$amazon_key = array("tag"=>$tag,"public"=>$amazon_public,"private"=>$amazon_private);
}

?>

<script type="text/javascript">



$j("#product_search_button").click(function() {
$j("#searchnotify").show();
$j.ajax({
  url: "<?php echo $linkToJSONRequestProcessor; ?>?key=<?php echo str_rot13($google_api_key); ?>&key2=<?php if($amazon_key != '') { echo str_rot13(base64_encode(json_encode($amazon_key))); } ?>&search=" + $j("#product_search").val(),
  context: document.body,
  success: function(data){
    $j("#product_search_results").html(data);
	$j("#searchnotify").hide();
  }
});

});

</script>


<style type="text/css">
tr.theader td {
	font-weight: bold;
	padding: 2px 10px 2px 10px;
}
.productRow td {
	padding: 2px 10px 2px 10px;
}
</style>
	<div id='product_search_results'>
	</div>
<?php


	echo "<br><span style='font-size: 1.5em;'><strong>INSTRUCTIONS</strong></span><br><br>";
?>
	<ol>
	<li>Search for the products using the text input field above. When you find a product you want to add to the current post, click the "Activate" button next to the listing.</li>
	<li>In order to receive credit, you will need to update the link with your affiliate ID. Each affiliate program has different requirements, so you must register separately for each site you wish to receive commission from.</li>
	<li>Insert the following text within the post body where you want the product links to appear: [DEAL_OF_THE_DAY]</li>
	<li>Once you're ready to save the changes, click the "Update" button to update the entire post.</li>
	</ol>
<?php



    } else {
	echo "<br><br>You have not yet configured this script. After you save any content you've entered, <a href='options-general.php?page=dotdsettings'>click here</a> to complete the required information.<br><br><br>";
    }

}





function my_plugin_query_parser( $q ) {

// have we NOT used permalinks...?
if( isset( $q->query_vars['p'] ) AND ( $q->query_vars['p'] == 1024 ) ) {

$q->set('my_plugin_page_is_called', TRUE );
$q->set('my_plugin_id', $q->query[p] );
return $q;

}
elseif( isset( $q->query_vars['pagename'] ) AND ( $q->query_vars['pagename'] == '1024') ) {

$q->set('my_plugin_page_is_called', TRUE );
$q->set('my_plugin_id', $q->query[p] );

return $q;

}
else {

$q->set('my_plugin_page_is_called', FALSE );
return $q;

}

}



function my_plugin_page_filter( $posts ) {

global $wp_query;

if( $wp_query->get('my_plugin_page_is_called') == TRUE ) {

$posts[0]->post_status = 'publish';
$posts[0]->post_type = 'page';
$posts[0]->comment_status = 'closed';
$posts[0]->ping_status = 'closed';
$posts[0]->post_category = array(1);

$postIdFull = addslashes(substr($wp_query->get('my_plugin_id'),5));

$query = mysql_query("SELECT * FROM wp_dotd WHERE prodid='$postIdFull'");

if(mysql_num_rows($query) == 0) {
	$posts[0]->post_title = 'Product Not Found';
	$posts[0]->post_content = 'The product you\'re looking for was not found.';

} else {
	$info = mysql_fetch_array($query);
	$image = $info[productimage];
	$posts[0]->post_title = $info[productname];
	$posts[0]->post_content = nl2br("<img src='$image' style='float: left; width: 180px; margin: 0px 15px 15px 0px;'> " . $description = str_replace("\'", "'", $info[productdescription]));

}

}

return $posts;

}


add_filter( 'the_posts', 'my_plugin_page_filter' );

add_filter( 'parse_query', 'my_plugin_query_parser' );

add_filter( 'the_content', 'dotd_insert_deal' );


?>